'//////////////////////////////////////////////////////////////////////////////
'//
'//  Copyright 2025 Autodesk, Inc.  All rights reserved.
'//
'//  Use of this software is subject to the terms of the Autodesk license 
'//  agreement provided at the time of installation or download, or which 
'//  otherwise accompanies this software in either electronic or hard copy form.   
'//
'//////////////////////////////////////////////////////////////////////////////
'
Imports Autodesk.AutoCAD.Runtime
Imports Autodesk.AutoCAD.ApplicationServices

Imports System.Runtime.InteropServices

<Assembly: ExtensionApplication(GetType(netTitleBorder.netTitleBorder))>
<Assembly: CommandClass(GetType(netTitleBorder.CreateCommand))>

Namespace netTitleBorder

    Public Class netTitleBorder

        Implements Autodesk.AutoCAD.Runtime.IExtensionApplication

        Public Sub Initialize() Implements Autodesk.AutoCAD.Runtime.IExtensionApplication.Initialize

        End Sub

        Public Sub Terminate() Implements Autodesk.AutoCAD.Runtime.IExtensionApplication.Terminate

        End Sub

    End Class

    Public Class CreateCommand
        ' Define command 'titleBorder'
        <Autodesk.AutoCAD.Runtime.CommandMethod("TitleBorder")>
        Public Sub titleBorder()
            Dim titleBorderDialog As New frmTitleBorder
            Application.ShowModelessDialog(titleBorderDialog)
        End Sub
    End Class
End Namespace